/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, June 2020
 */

'use strict';

const https = require ('https');
const fs = require ('fs');
const { execSync: exec_sync } = require ('child_process');

const run_file = fs.createWriteStream ('.jenkins.run.js');

const [
  ,, ...args
] = process.argv;

run_file.on ('close', () => {
  exec_sync (`node .jenkins.run.js ${args.join (' ')}`, { stdio: 'inherit' });
});

https.get (
  'https://git.scode.ovh/Timo/standard/raw/branch/master/jenkins.run.js',
  (msg) => {
    msg.pipe (run_file);
  }
);
